> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/api-reference/intermediador-de-pagamentos/gerencie-seus-vendedores/atualizar-taxas-de-um-vendedor.md).

# Atualizar taxas de um Vendedor

## Atualiza as taxas de um vendedor específico

> Atualiza as taxas de um vendedor específico

```json
{"openapi":"3.0.0","info":{"title":"API de Seller v2","version":"2.0.0"},"servers":[{"url":"https://api.barte.com","description":"Servidor de produção"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Token-Api"}},"schemas":{"SellerRatesUpdateRequest":{"type":"object","required":["idSeller","currentSellerRatesRequest","observation"],"properties":{"idSeller":{"type":"integer","description":"Id do vendedor que se deseja alterar as taxas (Exemplo 123)"},"currentSellerRatesRequest":{"$ref":"#/components/schemas/CurrentSellerRatesRequest"},"observation":{"type":"string","description":"Observações sobre a alteração das taxas (Exemplo \"Alterar taxas\")"}}},"CurrentSellerRatesRequest":{"type":"object","description":"Objeto contendo as configurações de taxas do vendedor","properties":{"pixConfigData":{"$ref":"#/components/schemas/PixConfigData"},"debitCardConfigData":{"$ref":"#/components/schemas/DebitCardConfigData"},"bankSlipConfigData":{"$ref":"#/components/schemas/BankSlipConfigData"},"sightCreditCardConfigData":{"$ref":"#/components/schemas/SightCreditCardConfigData"},"earlyCreditCardConfigData":{"$ref":"#/components/schemas/EarlyCreditCardConfigData"}}},"PixConfigData":{"type":"object","description":"Configurações de taxa para PIX","properties":{"delayForRedeem":{"type":"integer","description":"Dias para resgatar (Exemplo 2)"},"rate":{"type":"number","format":"float","description":"Taxa aplicada (Exemplo 0.2)"},"rateLimitValue":{"type":"integer","description":"Valor limite para a taxa (Exemplo 10000)"}}},"DebitCardConfigData":{"type":"object","description":"Configurações de taxa para cartão de débito","properties":{"delayForRedeem":{"type":"integer","description":"Dias para resgatar (Exemplo 1)"},"rate":{"type":"number","format":"float","description":"Taxa aplicada (Exemplo 1.99)"},"rateType":{"type":"string","enum":["value","percentage"],"description":"Tipo de taxa (value ou percentage) (Exemplo \"value\")"}}},"BankSlipConfigData":{"type":"object","description":"Configurações de taxa para boleto bancário","properties":{"delayForRedeem":{"type":"integer","description":"Dias para resgatar (Exemplo 1)"},"value":{"type":"number","format":"float","description":"Valor da taxa (Exemplo 4)"},"rate":{"type":"number","format":"float","description":"Taxa aplicada (Exemplo 4)"},"rateType":{"type":"string","enum":["value","percentage"],"description":"Tipo de taxa (value ou percentage) (Exemplo \"value\")"},"rateLimitValue":{"type":"integer","description":"Valor limite para a taxa (Exemplo 10000)"}}},"SightCreditCardConfigData":{"type":"object","description":"Configurações de taxa para cartão de crédito à vista","properties":{"delayForRedeem":{"type":"integer","description":"Dias para resgatar (Exemplo 2)"},"rate":{"type":"number","format":"float","description":"Taxa aplicada (Exemplo 3.17)"}}},"EarlyCreditCardConfigData":{"type":"object","description":"Configurações de taxa para antecipação de crédito","properties":{"delayForRedeem":{"type":"integer","description":"Dias para resgatar (Exemplo 2)"},"buyerRates":{"type":"object","description":"Taxas para o comprador","additionalProperties":{"type":"number","format":"float"}},"sellerRates":{"type":"object","description":"Taxas para o vendedor","additionalProperties":{"type":"number","format":"float"}}}},"Error":{"type":"object","properties":{"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetail"}},"metadata":{"$ref":"#/components/schemas/Metadata"}}},"ErrorDetail":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}}},"Metadata":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time"},"path":{"type":"string"},"method":{"type":"string"}}}}},"paths":{"/v2/seller/rates":{"patch":{"summary":"Atualiza as taxas de um vendedor específico","description":"Atualiza as taxas de um vendedor específico","tags":["Seller"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellerRatesUpdateRequest"}}}},"responses":{"200":{"description":"Taxas atualizadas com sucesso","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Requisição inválida","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Erro de autenticação","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Acesso negado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"422":{"description":"Erro de validação","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"501":{"description":"Método inválido","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.barte.com/api-reference/intermediador-de-pagamentos/gerencie-seus-vendedores/atualizar-taxas-de-um-vendedor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
